<?php

namespace App\Filament\Admin\Resources\PerformanceCards\Resources\Initiatives\Resources\ProjectCharters\Pages;

use App\Filament\Admin\Resources\PerformanceCards\Resources\Initiatives\Resources\ProjectCharters\ProjectCharterResource;
use Filament\Actions\DeleteAction;
use Filament\Actions\ForceDeleteAction;
use Filament\Actions\RestoreAction;
use Filament\Actions\ViewAction;
use Filament\Resources\Pages\EditRecord;

class EditProjectCharter extends EditRecord
{
    protected static string $resource = ProjectCharterResource::class;

    protected function getHeaderActions(): array
    {
        return [
            ViewAction::make(),
            DeleteAction::make(),
            ForceDeleteAction::make(),
            RestoreAction::make(),
        ];
    }
}
